{% extends "base.html" %}
{% block main %}
<article>
    <div class="row">
        <div class="col">
            <img id="pointeurLocalisation1" src = "{{ url_for('static',filename='Images/pointeur-localisation-1.png') }}" width="50" height="70" alt="pointeur" >
        </div>
        <div class="col-12 col-md-8">
            <h1>Fiche identité Capteur: {{NomCapteur}}</h1>
        </div>
    </div>
    <div class="row">
        <div class="col">
            <p>Dernière consultation le {{DateConsultation}} </p>
        </div>
    </div>

    <div class="row">
        <div class="col">
            <div class="card text-center" style="background-color: #EEF8E8;">
                <div class="card-body" >
                    <div class ="row">
                        <div class ="col">
                            <h3 class="card-text" style="text-align: center;">Fiche d’identité du capteur {{NomCapteur}}</h3>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col">
                            <p class="gauche"><strong>Type du capteur: </strong>{{TypeCapteur}}</p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col">
                            <p class="gauche"><strong>Localisation du capteur: </strong> {{Localisation}}</p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col">
                            <h1 class="text-left">Caractéristique: </h1>
                            {% for x in Caractéristique %}
                            <div class="mb-1">
                                <ul>
                                    <li class="text-left">{{x}}</li>
                                </ul>
                            </div>
                            {% endfor %}
                        </div>
                    </div>
                    <div class="row">
                        <div class="col">
                            <h1 class="text-left">Interfaces: </h1>
                            {% for x in Interfaces %}
                            <div class="mb-1">
                                <ul>
                                    <li class="text-left">{{x}}</li>
                                </ul>
                            </div>
                            {% endfor %}
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <div class="map-responsive">
                <iframe src="https://www.google.com/maps/embed?pb=!1m14!1m12!1m3!1d10712.641697426883!2d1.9269533499999998!3d47.8364854!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!5e0!3m2!1sfr!2sfr!4v1646666252491!5m2!1sfr!2sfr" width="800" height="840" style="border:0;" allowfullscreen="" loading="lazy" title="mapCapteur"></iframe>
            </div>
                <p>Dernières données relevées : </p>
            </div>
            <div id="Canvas">
                <canvas id="myChart"></canvas>
            </div>
        </div>
    </div>
</article>

{% endblock %}